[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

gcc 4.1 with stack smashing protection in etch?

now that Steve Langasek has published July 30th as the
toolchain freeze, do you already know if you will
include   gcc 4.1 instead of 4.0 as the standard gcc
in etch? If yes, etch could profit from the
ProPolice-like stack smashing protection in gcc 4.1.
If it will be 4.1, will every debian package
automatically be compiled with the SSP in etch? Or is
a certain compile-flag needed to be activated, which
won't be the default in etch?
It seems that Redhat will release RHEL 5 in the end of
2006 with a gcc 4.1 compiler. 


Gesendet von Yahoo! Mail - Jetzt mit 1GB Speicher kostenlos - Hier anmelden: http://mail.yahoo.de

Reply to: